
Database - Bug #6809

find current ... exclusive-lock no-wait.  not working

10/05/2022 09:29 AM - Constantin Asofiei

Status: Test Start date:  

Priority: High Due date:  

Assignee: Eric Faulhaber % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#2 - 10/05/2022 09:32 AM - Constantin Asofiei

The recreate is this, using to FWD clients:

run first program b1.p - do not press any key:

message "b1.p".

for each book:

   delete book.

end.

do transaction:

   create book.

   book.isbn = "Abc".

   release book.

end.

do transaction:

   find first book no-lock.

   if avail book then do:

      pause.

      find current book exclusive-lock no-wait no-error.

      if not locked(book) then message book.isbn.

      else message "locked".

   end.

end.

run second program b2.p  - do not press any key:

message "b2.p".

do transaction:

   find first book no-lock.

   if avail book then do:

      find current book exclusive-lock no-wait no-error.

      if not locked(book) then message book.isbn.

      else message "locked".

   end.

   pause.

end.

go to b1.p and press a key - the record will be released instead of reporting as 'locked' because is being locked by b2.p.  This results in not

locked being true and book buffer having no record, in b1.p.
#3 - 10/05/2022 09:48 AM - Constantin Asofiei

- Priority changed from Normal to High

This needs to be fixed in 6129a

#4 - 10/08/2022 06:29 PM - Eric Faulhaber

- Status changed from New to WIP

- Assignee set to Eric Faulhaber

#5 - 10/10/2022 02:24 AM - Eric Faulhaber

- Status changed from WIP to Review

- % Done changed from 0 to 100

Fixed in 6129a/14477. Constantin, please review and test with the original application, if you have a recreate beyond the test cases in #6809-2.

#6 - 10/10/2022 05:44 AM - Constantin Asofiei

- Status changed from Review to Test

Eric Faulhaber wrote:

Fixed in 6129a/14477. Constantin, please review and test with the original application, if you have a recreate beyond the test cases in #6809-2.

 

I don't have a recreate in the original application.  The changes look good.
